package mpeg2video

import (
	"git.kor-elf.net/kor-elf/gui-for-ffmpeg/internal/ffmpeg/encoder"
)

func NewEncoder() encoder.EncoderContract {
	parameters := map[string]encoder.ParameterContract{}
	getParams := func(parameters map[string]encoder.ParameterContract) []string {
		return []string{"-c:v", "mpeg2video"}
	}

	return encoder.NewEncoder("mpeg2video", parameters, getParams)
}

func NewData() encoder.EncoderDataContract {
	title := "mpeg2video"
	formats := []string{"mpg", "mpeg"}
	fileType := encoder.FileType(encoder.Video)
	return encoder.NewData(title, formats, fileType, NewEncoder)
}
