package wmav2

import (
	"git.kor-elf.net/kor-elf/gui-for-ffmpeg/internal/ffmpeg/encoder"
)

func NewEncoder() encoder.EncoderContract {
	parameters := map[string]encoder.ParameterContract{}
	getParams := func(parameters map[string]encoder.ParameterContract) []string {
		return []string{"-c:a", "wmav2"}
	}

	return encoder.NewEncoder("wmav2", parameters, getParams)
}

func NewData() encoder.EncoderDataContract {
	title := "wmav2"
	formats := []string{"wma"}
	fileType := encoder.FileType(encoder.Audio)
	return encoder.NewData(title, formats, fileType, NewEncoder)
}
