package encoders

import (
	"fyne.io/fyne/v2/widget"
	"git.kor-elf.net/kor-elf/gui-for-ffmpeg/internal/ffmpeg/encoder"
	"git.kor-elf.net/kor-elf/gui-for-ffmpeg/internal/gui/view/convertor/encoders/h264_nvenc"
	"git.kor-elf.net/kor-elf/gui-for-ffmpeg/internal/gui/view/convertor/encoders/libx264"
	"git.kor-elf.net/kor-elf/gui-for-ffmpeg/internal/gui/view/convertor/encoders/libx265"
)

var Views = map[string]func(encoder encoder.EncoderContract) []*widget.FormItem{
	"libx264":    libx264.View,
	"h264_nvenc": h264_nvenc.View,
	"libx265":    libx265.View,
}
