package libvpx_vp9

import (
	"git.kor-elf.net/kor-elf/gui-for-ffmpeg/internal/ffmpeg/encoder"
)

func NewEncoder() encoder.EncoderContract {
	parameters := map[string]encoder.ParameterContract{}
	getParams := func(parameters map[string]encoder.ParameterContract) []string {
		return []string{"-c:v", "libvpx-vp9"}
	}

	return encoder.NewEncoder("libvpx_vp9", parameters, getParams)
}

func NewData() encoder.EncoderDataContract {
	title := "libvpx-vp9"
	formats := []string{"webm", "mkv"}
	fileType := encoder.FileType(encoder.Video)
	return encoder.NewData(title, formats, fileType, NewEncoder)
}
